Subject: Re: [PATCH] Unicode: update of combining code points

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Apr 2014 15:37:15 -0700

Jonathan Nieder <[email-masked]> writes:

> Torsten Bögershausen wrote:
>
>> Unicode 6.3 defines the following code as combining or accents,
>> git_wcwidth() should return 0.
>>
>> Earlier unicode standards had defined these code point as "reserved":
>
> Thanks for the update.  Could the commit message also explain how this
> was noticed and what the user-visible effect is?
>
> For example:
>
>  "Unicode just announced that <...>.  That means we should mark the
>   relevant code points as combining characters so git knows they are
>   zero-width and doesn't screw up the alignment when presenting branch
>   names in columns with 'git branch --column'"
>
> or something like that.

Perhaps (the original read clearly enough for me, though).

> [...]
>> 358 COMBINING DOT ABOVE RIGHT
>> 359 COMBINING ASTERISK BELOW
>
> I'm not sure this list is needed --- the code + the reference to the
> Unicode 6.3 standard seems like enough (but if you think otherwise,
> I don't really mind).

I can go either way.

>> This commit touches only the range 300-6FF, there may be more to be updated.
>
> The "there may be more" here sounds ominous.

Indeed it does ;-)

> Does that mean Unicode
> 6.3 also added some zero-width characters in other ranges that should
> be dealt with in the future?  How many such ranges?  How do we know
> when we're done?
>
> Just biting off the most important characters first and putting off
> the rest for later sounds fine to me --- my complaint is that the
> above comment doesn't make clear what the to-do list is for finishing
> the update later.

I'll queue this at the tip of 'pu', not to forget about it while
waiting for a clarification.

Thanks.